Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit.addon.accessibility.TaggedPDFCallback Class Reference

Inherits SystemIDisposable.

## Public Types
enum | ReportCategory { ReportCategory.e_ReportCategoryRegion = 0, ReportCategory.e_ReportCategoryArtifact = 1, ReportCategory.e_ReportCategoryParagraph = 2, ReportCategory.e_ReportCategoryListItem = 3, ReportCategory.e_ReportCategoryFigure = 4, ReportCategory.e_ReportCategoryTable = 5, ReportCategory.e_ReportCategoryTableRow = 6, ReportCategory.e_ReportCategoryTableHeader = 7, ReportCategory.e_ReportCategoryTocItem = 8 }
| Enumeration for report category type used for tagged PDF. More...
enum | ReportConfidence { ReportConfidence.e_ReportConfidenceHigh = 0, ReportConfidence.e_ReportConfidenceMediumHigh = 1, ReportConfidence.e_ReportConfidenceMedium = 2, ReportConfidence.e_ReportConfidenceMediumLow = 3, ReportConfidence.e_ReportConfidenceLow = 4 }
| Enumeration for report confidence used for tag PDF document. More...

## Public Member Functions
virtual void | Release ()
| A callback function used to release current callback object itself. More...
virtual void | Report (TaggedPDFCallback.ReportCategory category, TaggedPDFCallback.ReportConfidence confidence, int page_index, RectF rect)
| A callback function used to get the tagged PDF document result information, triggered when the document will be tagged. More...

## Detailed Description

This class represents a callback object used to tag PDF document. All the pure virtual functions in this class are used as callback functions and should be implemented by user in derived class. User can also re-write the virtual functions in this class in custom way.

## Member Enumeration Documentation

## ◆ ReportCategory

enum foxit.addon.accessibility.TaggedPDFCallback.ReportCategory
| strong

Enumeration for report category type used for tagged PDF.

Values of this enumeration should be used alone.

Enumerator
e_ReportCategoryRegion | Report category type: region.
e_ReportCategoryArtifact | Report category type: artifact.
e_ReportCategoryParagraph | Report category type: paragraph.
e_ReportCategoryListItem | Report category type: list item.
e_ReportCategoryFigure | Report category type: figure.
e_ReportCategoryTable | Report category type: table.
e_ReportCategoryTableRow | Report category type: table row.
e_ReportCategoryTableHeader | Report category type: table header.
e_ReportCategoryTocItem | Report category type: toc item.

## ◆ ReportConfidence

enum foxit.addon.accessibility.TaggedPDFCallback.ReportConfidence
| strong

Enumeration for report confidence used for tag PDF document.

Values of this enumeration should be used alone.

Enumerator
e_ReportConfidenceHigh | Report confidence: high.
e_ReportConfidenceMediumHigh | Report confidence: medium high.
e_ReportConfidenceMedium | Report confidence: medium.
e_ReportConfidenceMediumLow | Report confidence: medium low.
e_ReportConfidenceLow | Report confidence: low.

## Member Function Documentation

## ◆ Release()

void foxit.addon.accessibility.TaggedPDFCallback.Release | ( |  | ) |
| inline virtual

A callback function used to release current callback object itself.

Returns
  None.

## ◆ Report()

void foxit.addon.accessibility.TaggedPDFCallback.Report | ( | TaggedPDFCallback.ReportCategory | category,
|  | TaggedPDFCallback.ReportConfidence | confidence,
|  | int | page_index,
|  | RectF | rect
| ) |  |
| inline virtual

A callback function used to get the tagged PDF document result information, triggered when the document will be tagged.

This function is very useful for user to get the tagged PDF document result information.

Parameters

  [in] | category | The report category for tagged PDF. Please refer to values starting from foxit.addon.accessibility.TaggedPDFCallback.ReportCategory.e_ReportCategoryRegion and this would be one of these values.
  [in] | confidence | The report confidence for tagged PDF. Please refer to values starting from foxit.addon.accessibility.TaggedPDFCallback.ReportConfidence.e_ReportConfidenceHigh and this would be one of these values.
  [in] | page_index | The page index of current report item belongs to.
  [in] | rect | The rectangle of current report item.

Returns
  None.